Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class AbstractClickableMember

    java.lang.Object
      com.tonbeller.jpivot.table.navi.AbstractClickableMember

All Implemented Interfaces:
  ModelChangeListener, ClickableMember, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener

Direct Known Subclasses:
  ClickableMemberSupport, UrlClickableMember

    public abstract class AbstractClickableMember

extends java.lang.Object
implements ClickableMember

Field Summary
`protected ExpressionParser` | `parser` needed to format the urlPattern

Constructor Summary
`protected` | `AbstractClickableMember(java.lang.String uniqueName)`

Method Summary
`protected boolean` | `isSuppressAllMember()`
`protected boolean` | `isSuppressCalcMember()`
`protected boolean` | `isSuppressMeasures()`
`protected boolean` | `match(Member member)`
`protected void` | `setSuppressAllMember(boolean suppressAllMember)`
`protected void` | `setSuppressCalcMember(boolean suppressCalcMember)`
`protected void` | `setSuppressMeasures(boolean suppressMeasures)`
`void` | `startRendering(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)`
`void` | `stopRendering()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.ClickableMember
`decorate`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.jpivot.core.ModelChangeListener
`modelChanged, structureChanged`

Field Detail

### parser

    protected ExpressionParser parser

  needed to format the urlPattern

Constructor Detail

### AbstractClickableMember

    protected AbstractClickableMember(java.lang.String uniqueName)

Method Detail

### match

    protected boolean match(Member member)

### startRendering

    public void startRendering(com.tonbeller.wcf.controller.RequestContext context,
                               TableComponent table)

  Specified by:
    `startRendering` in interface `ClickableMember`

### stopRendering

    public void stopRendering()

  Specified by:
    `stopRendering` in interface `ClickableMember`

### isSuppressAllMember

    protected boolean isSuppressAllMember()

### setSuppressAllMember

    protected void setSuppressAllMember(boolean suppressAllMember)

### isSuppressCalcMember

    protected boolean isSuppressCalcMember()

### setSuppressCalcMember

    protected void setSuppressCalcMember(boolean suppressCalcMember)

### isSuppressMeasures

    protected boolean isSuppressMeasures()

### setSuppressMeasures

    protected void setSuppressMeasures(boolean suppressMeasures)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD